ONVIF::Analytics::Types::MoveOptions(3)

NAME
ONVIF::Analytics::Types::MoveOptions

DESCRIPTION
Perl data type class for the XML Schema defined complexType MoveOptions from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Absolute

•   Relative

•   Continuous

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::MoveOptions
   Absolute =>  { # ONVIF::Analytics::Types::AbsoluteFocusOptions
     Position =>  { # ONVIF::Analytics::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
     Speed =>  { # ONVIF::Analytics::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
   },
   Relative =>  { # ONVIF::Analytics::Types::RelativeFocusOptions
     Distance =>  { # ONVIF::Analytics::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
     Speed =>  { # ONVIF::Analytics::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
   },
   Continuous =>  { # ONVIF::Analytics::Types::ContinuousFocusOptions
     Speed =>  { # ONVIF::Analytics::Types::FloatRange
       Min =>  $some_value, # float
       Max =>  $some_value, # float
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL